## bittornado 0.3.18

=== debian/changelog ===
bittornado (0.3.18-10.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to dh_python2 (Closes: 785950, LP: #788514)
    - Install btmakemetafile.py and btcompletedir.py via pyinstall
    - Add build depend on python-all
    - Bump debhelper depend to 7 for dh_auto_install
  * debian/patches/32_use_hashlib_for_sha.patch:
    - Updated use of deprecated sha module to hashlib.
      (Closes: #593653, LP: #420387)

 -- Martin Pitt <mpitt@debian.org>  Tue, 18 Aug 2015 16:54:10 +0200

bittornado (0.3.18-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update to use python-wxgtk3.0:
    + New patch: 32_wxpy3.0-compat.patch

 -- Olly Betts <olly@survex.com>  Fri, 08 Aug 2014 16:34:07 +1200

bittornado (0.3.18-10) unstable; urgency=low

  * New patch from upstream's CVS to allow torrents that only have an
    announce list: 30_announce_list_only_torrents.dpatch (Closes: #551766)
  * Fix a lot of lintian warnings
    - Update standards version to 3.8.4 (no changes)
  * Fix for when compact_reqd is turned off:
    31_fix_for_compact_reqd_off.dpatch (Closes: #574860)
  * Switch to the new "3.0 (quilt)" source format

 -- Cameron Dale <camrdale@gmail.com>  Sun, 21 Mar 2010 14:36:30 -0700

bittornado (0.3.18-9) unstable; urgency=low

  * fix for OSes that return file modification time as a float,
    new patch 28_float_mod_time_fix.dpatch (Closes: #503043)
  * patch interesting error where urandom is available in os.py but not
    implemented on the os, patch 29_fix_urandom_error.dpatch (LP: #291464)
  * update the package descriptions (Closes: #537592)
  * update the crypto_allowed entry in the manual page (Closes: #492031)
  * update the standards version to 3.8.3 (no changes)
  * remove dh_desktop from the rules file

 -- Cameron Dale <camrdale@gmail.com>  Mon, 07 Sep 2009 22:42:45 -0700

bittornado (0.3.18-8) unstable; urgency=low

  * Removed btdownloadheadless curses dependency so it can run
    in a terminal (Closes: #327505)

 -- Cameron Dale <camrdale@gmail.com>  Tue, 11 Nov 2008 11:24:32 -0800

bittornado (0.3.18-7) unstable; urgency=medium

  * Refresh all the quilt patches (Closes: #485320)
  * Update standards version to 3.8.0
    - Add a README.source file pointing to the quilt documentation
  * medium urgency to get it into lenny

 -- Cameron Dale <camrdale@gmail.com>  Sat, 19 Jul 2008 16:08:44 -0700

bittornado (0.3.18-6) unstable; urgency=low

  * Migrate from the old 'from wxPython.wx import *' to the
    new 'import wx' namespace (LP: #206898)
    (quilt patch 21_remove_deprecated_wxPython_usage.dpatch)
    - add python-wxgtk2.8 as an alternative depends
  * Fix an issue with the makemetafile error-handling (Closes: #476652)
    (quilt patch 22_fix_makemetafile_error-handling.dpatch)
    - thanks to Mario Lang for the fix.
  * Remove the Windows-only UPnP options (Closes: #315026)
    (quilt patch 23_remove_UPnP_options.dpatch)
  * Clarify the use of the 'ip' parameter (Closes: #323784)
    (quilt patch 24_clarify_ip_parameter.dpatch)
  * Fix a bug in the error handling of btdownloadcurses/headless
    (quilt patch 25_errors_in_error_handling.dpatch)
  * Fix some minor packaging issues
  * Switch to quilt for patches
  * Fix some lintian warnings
    - upgrade Standards-Version to 3.7.3 (no changes)
    - use non-XS VCS headers
    - move Homepage field to source package headers
    - remove the unused binary-arch target

 -- Cameron Dale <camrdale@gmail.com>  Sat, 03 May 2008 19:46:19 -0700

bittornado (0.3.18-5) unstable; urgency=low

  [ Cameron Dale ]
  * Switch Cameron to Maintainer, Micah to Uploaders
  * Added Dm-Upload-Allowed for Debian Maintainer uploads
  * Remove the remaining 04_btlaunchmany.py_transpose_transfer_totals
    which should have gone when we removed
    03_btlaunchmanycurses.py_transpose_transfer_totals
  [ Micah Anderson ]
  * Update debian/NEWS to fix invalid sytax as reported by lintian check
    syntax-error-in-debian-news-file

 -- Cameron Dale <camrdale@gmail.com>  Sat, 27 Oct 2007 15:46:53 -0700

bittornado (0.3.18-4) unstable; urgency=low

  * 18_fix_launchmany_encrypter.dpatch: fix a bug in the Encrypter
    that dropped all launchmany handled connections (Closes: #422098)
  * Fixed absolute path and other spec problems in .desktop file
    (thanks to Ubuntu)
  * Fixed other .desktop issues from new lintian checks
  * Switch bittornado-gui dependence from Source-Version to source:Version
  * Fix the menu entry to comply with the new menu transition
  * 19_fix_tracker_return_all.dpatch: fix a tracker bug that caused
    all torrents' peers to be returned for every request
  * 20_tracker_cache_minor_fix.dpatch: a minor fix for the new cache
    structure used by the tracker

 -- Cameron Dale <camrdale@gmail.com>  Mon, 17 Sep 2007 13:56:24 -0800

bittornado (0.3.18-3) unstable; urgency=low

  * Added a recommends on python-crypto for encrypted communications
  * Add XS-Vcs-Browser to debian/control

 -- Cameron Dale <camrdale@gmail.com>  Fri, 11 May 2007 13:56:24 -0800

bittornado (0.3.18-2) unstable; urgency=low

  * Fixed some man page typos (Closes: #409584, #409585)
  * Updated man pages for encryption
  * Removed 14_enable_gui_commandline.dpatch (Closes: #413749)
  * Removed the obsolete icons directory

 -- Cameron Dale <camrdale@gmail.com>  Sun, 22 Apr 2007 13:56:24 -0800

bittornado (0.3.18-1) unstable; urgency=low

  * New upstream release
    . removed unnecessary 03_btlaunchmanycurses.py_transpose_transfer_totals
  * Fixed a small syntax error (17_fix_NatCheck_bufferlen_error)

 -- Cameron Dale <camrdale@gmail.com>  Thu,  4 Jan 2007 13:56:24 -0800

bittornado (0.3.17-1) unstable; urgency=low

  * New upstream release (Closes: #395326)
    . Fixes BitTorrent engine error (Closes: #385721)
    . Fixes problem with super-seeding
  * Fix the ipv6 in SocketHandler.py (Closes: #305388)
    (thanks to Tobias Diedrich for this fix)

 -- Cameron Dale <camrdale@gmail.com>  Fri, 27 Oct 2006 15:46:48 -0700


