=== debian/control ===
Source: bittornado
Section: net
Priority: optional
Maintainer: Cameron Dale <camrdale@gmail.com> 
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: python-all (>= 2.6.6-3~), docbook-to-man
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/pkg-bittornado/bittornado/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-bittornado/bittornado/trunk/
XS-Dm-Upload-Allowed: yes
Homepage: http://bittornado.com

Package: bittornado
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Conflicts: bittorrent (<= 3.4.2-2)
Replaces: bittorrent
Suggests: bittornado-gui, python-psyco
Recommends: mime-support, python-crypto
Provides: python-bittornado
Description: bittorrent client (and tracker) with console and curses interfaces
 BitTornado is a bittorrent client built on the original BitTorrent
 client from BitTorrent Inc. This client features a console and curses
 mode, lots of features, and is one of the original bittorrent clients
 created.
 .
 Features include:
   * upload/download speed limitation
   * prioritised downloading when downloading batches (several files)
   * detailed information about connections to other peers
   * encryption (PE/MSE) support (with the recommended python-crypto)
   * console mode for running from scripts
   * curses mode for running interactively
   * tracker for the distribution of files
 .
 This package contains the console and curses interfaces, and a
 bittorrent tracker, install the package bittornado-gui to get the GUI
 components. See the bittorrent package for a description of what 
 bittorrent is.

Package: bittornado-gui
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, bittornado (= ${source:Version}), python-wxgtk3.0
Conflicts: bittorrent (<= 3.4.2-2), libfreetype6 (= 2.1.7-2.4)
Replaces: bittorrent
Suggests: python-psyco
Recommends: mime-support, python-crypto
Description: bittorrent client with GUI interface
 The GUI interface to the BitTornado bittorrent client.
 BitTornado is a bittorrent client built on the original BitTorrent
 client from BitTorrent Inc. This client features a GUI interface,
 lots of features, and is one of the original bittorrent clients
 created.
 .
 Features include:
   * upload/download speed limitation
   * prioritised downloading when downloading batches (several files)
   * detailed information about connections to other peers
   * encryption (PE/MSE) support (with the recommended python-crypto)
   * console mode for running from scripts
   * curses mode for running interactively
   * tracker for the distribution of files
 .
 This package contains the GUI interface, install only the bittornado
 package to get a console and curses interface and a bittorrent tracker.
 See the bittorrent package for a description of what bittorrent is.
