=== debian/watch ===
# Site          Directory               Pattern                 Version Script
version=3
http://download2.bittornado.com/download/BitTornado-(.*)\.tar\.gz	debian
